အကြောင်းအရာသို့ ကျော်ရန်

PixVerse C1 Transition

ပေါင်းစည်းရန်

မော်ဒယ် id pixverse/c1/transition
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/pixverse/c1/transition?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "end_image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်: ၀.၂၅ $ ၂၅၀ API ခရက်ဒစ် ဤစာမျက်နှာတွင် လုပ်ဆောင်ရန်

API ကီး ရယူရန်
PixVerse ပုံမှ ဗီဒီယို မူရင်းအသံ၁–၁၅ s1080p အထိ #video-generation#transition#pixverse#morphing

ပုံနှစ်ပုံကြား C1 ကူးပြောင်းမှု၊ 1 မှ 15 စက္ကန့် ကြာချိန်၊ ကျယ်ပြန့်သော အချိုးအစားများနှင့် ရွေးချယ်နိုင်သော အသံပါဝင်သည်

PixVerse · ဗီဒီယို

သင့်ပထမဆုံးရလဒ် ဤနေရာတွင် ပေါ်လာမည်

အောက်တွင် တောင်းဆိုချက်တစ်ခု တည်ဆောက်ပြီး သင့် API ကီးဖြင့် လုပ်ဆောင်ပါ။ ထွက်ရလဒ်များကို ကျွန်ုပ်တို့၏ သိုလှောင်မှုသို့ ကူးယူပြီး အမြဲတမ်း သို့မဟုတ် ၇ ရက် အခမဲ့ သိမ်းထားသည်။

တောင်းဆိုမှုတစ်ခု တည်ဆောက်ရန်

ထိန်းချုပ်မှုများကို မော်ဒယ် schema မှ အလိုအလျောက်ဖန်တီးသည်။ ၎င်းတို့ကို ပြောင်းလဲသည်နှင့် code နှင့် စျေးနှုန်းတို့လည်း ပြောင်းလဲမည်။

•လိုအပ်သည်

အကူးအပြောင်းညွှန်ကြားချက်များတွင် byte အခြေပြု အရှည်ကန့်သတ်ချက်ရှိသည်။ emoji၊ အသံအမှတ်ပါစာလုံးများနှင့် လက်တင်မဟုတ်သော စာလုံးများသည် byte များစွာယူသောကြောင့် မြင်ရသည့်စာတိုပင် ကန့်သတ်ချက်ကို ကျော်နိုင်သည်။ UTF-8 ဖြင့် တိုင်းတာသော အများဆုံးအရွယ်အစားမှာ 2048 bytes ဖြစ်ပြီး စာလုံးရေမဟုတ်ပါ။

•လိုအပ်သည် first_image_url
ဖိုင်ကို ဆွဲချပါ၊ သို့မဟုတ်

အစပိုင်းဖရိမ်ကို ပေးသော ပုံ URL။

•လိုအပ်သည် end_image_url
ဖိုင်ကို ဆွဲချပါ၊ သို့မဟုတ်

နောက်ဆုံးဖရိမ်အတွက် ပုံ URL။

aspect_ratio မူလ 16:9

ထွက်ရလဒ် ဗီဒီယို၏ aspect ratio ဖြစ်သည်။

resolution မူလ 720p

ထွက်ရလဒ်ဗီဒီယိုအတွက် ရုပ်ထွက်အရည်အသွေး။

မူလ 5

ဖန်တီးမည့်ဗီဒီယို၏ အရှည်၊ 1 မှ 15 စက္ကန့်အထိ။

အဆင့်မြင့် seed · enable_safety_checker

ထပ်မံဖန်တီးနိုင်သော ဗီဒီယိုဖန်တီးမှုအတွက် seed။ run တိုင်း အတိအကျ ပြန်လည်ထုတ်လုပ်နိုင်ရန် မော်ဒယ်ဗားရှင်း၊ ပရောမ့်နှင့် seed ကို မပြောင်းလဲထားရမည်။

POST /run/pixverse/c1/transition?wait=20 ကုန်ကျစရိတ် → ၀.၂၅ $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/pixverse/c1/transition?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "end_image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်ကို လုပ်ဆောင်ရန်

သင့် key သည် ဤဘရောက်ဇာထဲတွင်သာ ရှိမည်ဖြစ်ပြီး Doitong API သို့သာ ပို့မည်။ Remember ကို အမှန်ခြစ်ထားမှသာ (localStorage) တွင် သိမ်းမည်။ API ကီး ရယူရန်

PixVerse C1 Transition အကြောင်း

`prompt` တွင် ဖော်ပြထားသည့်အတိုင်း `first_image_url` မှ `end_image_url` သို့ သွားသော ဗီဒီယိုတိုကို ဖန်တီးသည်။ ကြာချိန်သည် 1 မှ 15 စက္ကန့်၊ ရုပ်ထွက်အရည်အသွေးသည် 360p မှ 1080p ဖြစ်ပြီး 21:9 အပါအဝင် အချိုးအစား 8 မျိုး ရရှိနိုင်သည်။ `generate_audio_switch` ဖြင့် အသံဖန်တီးမှုကို ဖွင့်နိုင်သည်။

ပါရာမီတာများ

စံအမည် သို့မဟုတ် မူရင်းအမည် တစ်ခုခုကိုသာ ပို့ပါ၊ နှစ်ခုလုံး မပို့ပါနှင့်။ စံအမည်များ

အမည်အမျိုးအစား မူလတန်ဖိုးခွင့်ပြုထားသည် ဖော်ပြချက်
promptလိုအပ်သည်
အမျိုးအစားstring
အကူးအပြောင်းညွှန်ကြားချက်များတွင် byte အခြေပြု အရှည်ကန့်သတ်ချက်ရှိသည်။ emoji၊ အသံအမှတ်ပါစာလုံးများနှင့် လက်တင်မဟုတ်သော စာလုံးများသည် byte များစွာယူသောကြောင့် မြင်ရသည့်စာတိုပင် ကန့်သတ်ချက်ကို ကျော်နိုင်သည်။ UTF-8 ဖြင့် တိုင်းတာသော အများဆုံးအရွယ်အစားမှာ 2048 bytes ဖြစ်ပြီး စာလုံးရေမဟုတ်ပါ။
aspect_ratioရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုး16:9
16:94:31:13:49:162:33:221:9
ထွက်ရလဒ် ဗီဒီယို၏ aspect ratio ဖြစ်သည်။
resolutionရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုး720p
360p540p720p1080p
ထွက်ရလဒ်ဗီဒီယိုအတွက် ရုပ်ထွက်အရည်အသွေး။
durationရွေးချယ်နိုင်သည်
အမျိုးအစားinteger
မူလတန်ဖိုး5
၁ – ၁၅
ဖန်တီးမည့်ဗီဒီယို၏ အရှည်၊ 1 မှ 15 စက္ကန့်အထိ။
seedရွေးချယ်နိုင်သည်
အမျိုးအစားinteger | null
ထပ်မံဖန်တီးနိုင်သော ဗီဒီယိုဖန်တီးမှုအတွက် seed။ run တိုင်း အတိအကျ ပြန်လည်ထုတ်လုပ်နိုင်ရန် မော်ဒယ်ဗားရှင်း၊ ပရောမ့်နှင့် seed ကို မပြောင်းလဲထားရမည်။
generate_audio_switchရွေးချယ်နိုင်သည် generate_audio
အမျိုးအစားboolean
မူလတန်ဖိုးfalse
နောက်ခံတေးဂီတ၊ အသံအကျိုးသက်ရောက်မှုများနှင့် စကားပြောသံအတွက် အသံဖန်တီးမှု ဖွင့်/ပိတ်ခလုတ်။
first_image_urlလိုအပ်သည် image
အမျိုးအစားurl · image
အစပိုင်းဖရိမ်ကို ပေးသော ပုံ URL။
end_image_urlလိုအပ်သည် end_image
အမျိုးအစားurl · image
နောက်ဆုံးဖရိမ်အတွက် ပုံ URL။
enable_safety_checkerရွေးချယ်နိုင်သည်
အမျိုးအစားboolean
မူလတန်ဖိုးtrue
caller က ခွင့်ပြုချက်ရှိပါက false သတ်မှတ်ခြင်းဖြင့် စစ်ဆေးမှုကို လျှော့ချနိုင်သည်။
လိုအပ်သည် စံအမည်၊ ထို့အပြင် လက်ခံသည်

ဖိုင်ပါရာမီတာများသည် အများပြည်သူသုံး https:// URL၊ 10 MB အထိ data: URI သို့မဟုတ် အပ်လုဒ်လုပ်ထားသောဖိုင်၏ file_url ကို လက်ခံသည်။ ဖိုင်များ

ထွက်ရလဒ်

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "pixverse/c1/transition",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 250,
    "usd": "0.25",
    "charged": 250,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "first_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "end_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
သင့်ဖိုင်များ၊ သင့်ရွေးချယ်မှုoutputs[].url တိုင်းသည် ကျွန်ုပ်တို့၏ သိုလှောင်မှုရှိ မိတ္တူဖြစ်သည်- အမြဲတမ်း (GB-month အလိုက် ငွေပေးရသည်) သို့မဟုတ် ၇ ရက် အခမဲ့၊ သင့်အကောင့်ဆက်တင် သို့မဟုတ် ?storage= ဖြင့် သိမ်းထားသည်။
မော်ဒယ်တိုင်းတွင် ပုံစံတူပုံ၊ ဗီဒီယိုနှင့် အသံတို့အတွက် type၊ url၊ content_type၊ width၊ height နှင့် duration။ output သည် မော်ဒယ်ကိုယ်တိုင်၏ ရလဒ် object ဖြစ်သည်။
ထွက်ရလဒ်၏ Fields များ
video
object {url, content_type, file_name, file_size}ဖန်တီးမှုမှ ထွက်ရှိသည့် ဗီဒီယိုဖိုင်။

နောက်ထပ် မော်ဒယ်များ: ပုံမှ ဗီဒီယို

AI အေးဂျင့်များအတွက်- ဤစာမျက်နှာ၏ Markdown ကို ဤနေရာတွင် ရရှိနိုင်သည် https://doitong.com/my/developers/models/pixverse/c1/transition.md. မော်ဒယ်များနှင့် လမ်းညွှန်များအားလုံး: https://doitong.com/developers/llms.txt